Disable Delivery
The following endpoint allows you to disable the delivery of messages in an outbound Spark messaging queue, or an SDK job queue. This stop messages from exiting the queue. For example, disabling delivery on an SDK job queue stops messages from being delivered to the processor.
This endpoint is not available for inbound Spark messaging queues. There is no way to stop received messages from processing in an inbound Spark queue.
PUT
/api/{version}/services/queues/{queue_name}/actions/disable_deliveryHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path ParametersRequest
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v22.2/services/queues/new_study_queue__c/actions/disable_deliveryResponse
Section link for Response{
"responseStatus": "SUCCESS"
}